require 'fakeweb'
require 'alterego'

FakeWeb.allow_net_connect = false

RSpec.configure do |config|
  config.before(:each) do
    FakeWeb.clean_registry
    @app_id       = 'valid-app-id'
    @api_key      = 'valid-api-key'
    @callback_url = 'https://example.com/callback'
    @passcode     = 'alter-ego-passcode'
    @error        = File.read(File.expand_path('spec/alterego/fixtures/error.json'))
  end
end